The following are the minimum system requirements for using the Flow Webinar Platform.

These requirements are updated regularly, so please bookmark this page to have access to the latest updates.


  • Desktop or Laptop Computer
    • Recent (2015 or later) Intel or AMD processor-based system
    • Windows 10 or later
      While Flow will work in browsers using Windows 7 and 8, Windows 10 will provide the most optimal experience.
    • macOS 10.7 or later
    • Linux distribution that runs modern browsers (centos6, Ubuntu, etc...)
  • Modern Web Browser
    • Google Chrome
    • Mozilla Firefox
At launch, only Chrome and Firefox will work with Flow. We will be expanding this list to include other modern web browsers shortly after launch.
Internet Explorer will not be supported
  • Broadband Internet Connection
    • At least 5 Mbps Upload and Download required for an optimal experience
    • Wired Connections are preferred for stability
  • Microphone/Headset/Webcam
    • Wired USB microphones or headsets are preferred
    • Earbuds or wireless headsets are not recommended
    • USB Webcam

If you have any questions or concerns regarding your system compatibility, please contact our support by using the widget at the bottom right of this page.